﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr142_1
{
    // Базовый класс:
    class Alpha {
        // Конструктор:
        public Alpha() {
            Console.WriteLine("Конструктор класса Alpha");
        }
        // Деструктор:
        ~Alpha() {
            Console.WriteLine("Деструктор класса Alpha");
        }
    }

    // Производный класс от класса Alpha: 
    class Bravo: Alpha {
        // Конструктор: 
        public Bravo(): base() {
            Console.WriteLine("Конструктор класса Bravo");
        }
        // Деструктор:
        ~Bravo() {
            Console.WriteLine("Деструктор класса Bravo");
        }
    }

    // Производный класс от класса Bravo: 
    class Charlie: Bravo {
        // Конструктор: 
        public Charlie(): base() {
            Console.WriteLine("Конструктор класса Charlie");
        }
        // Деструктор:
        ~Charlie() {
            Console.WriteLine("Деструктор класса Charlie");
        }
    }

    // Класс с главным методом:
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Создание анонимного объекта: 
            new Charlie();
        }
    }
}
